com.sun.grid.jgdi.util.shell

## Class QConfCommandGenerated

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.AnnotatedCommand
    - - com.sun.grid.jgdi.util.shell.QConfCommandGenerated

- Direct Known Subclasses:
    QConfCommand

      public abstract class QConfCommandGenerated
      extends AnnotatedCommand

  Generated abstract class for handling generic JGDI objects. Implements generic qconf command options. NOTE: QConfCommand should extend this class.
  See Also:
    `QConfCommand`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QConfCommandGenerated()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCalendar(OptionInfo oi)` Implements qconf -acal option
    `void` | `addCheckpoint(OptionInfo oi)` Implements qconf -ackpt option
    `void` | `addClusterQueue(OptionInfo oi)` Implements qconf -aq option
    `void` | `addConfiguration(OptionInfo oi)` Implements qconf -aconf option
    `void` | `addFromFileCalendar(OptionInfo oi)` Implements qconf -Acal option
    `void` | `addFromFileCheckpoint(OptionInfo oi)` Implements qconf -Ackpt option
    `void` | `addFromFileClusterQueue(OptionInfo oi)` Implements qconf -Aq option
    `void` | `addFromFileConfiguration(OptionInfo oi)` Implements qconf -Aconf option
    `void` | `addFromFileExecHost(OptionInfo oi)` Implements qconf -Ae option
    `void` | `addFromFileHostgroup(OptionInfo oi)` Implements qconf -Ahgrp option
    `void` | `addFromFileParallelEnvironment(OptionInfo oi)` Implements qconf -Ap option
    `void` | `addFromFileProject(OptionInfo oi)` Implements qconf -Aprj option
    `void` | `addFromFileResourceQuotaSet(OptionInfo oi)` Implements qconf -Arqs option
    `void` | `addFromFileUser(OptionInfo oi)` Implements qconf -Auser option
    `void` | `addFromFileUserSet(OptionInfo oi)` Implements qconf -Au option
    `void` | `addHostgroup(OptionInfo oi)` Implements qconf -ahgrp option
    `void` | `addParallelEnvironment(OptionInfo oi)` Implements qconf -ap option
    `void` | `addProject(OptionInfo oi)` Implements qconf -aprj option
    `void` | `addResourceQuotaSet(OptionInfo oi)` Implements qconf -arqs option
    `void` | `addUser(OptionInfo oi)` Implements qconf -auser option
    `void` | `deleteCalendar(OptionInfo oi)` Implements qconf -dcal option
    `void` | `deleteCheckpoint(OptionInfo oi)` Implements qconf -dckpt option
    `void` | `deleteClusterQueue(OptionInfo oi)` Implements qconf -dq option
    `void` | `deleteConfiguration(OptionInfo oi)` Implements qconf -dconf option
    `void` | `deleteExecHost(OptionInfo oi)` Implements qconf -de option
    `void` | `deleteHostgroup(OptionInfo oi)` Implements qconf -dhgrp option
    `void` | `deleteParallelEnvironment(OptionInfo oi)` Implements qconf -dp option
    `void` | `deleteProject(OptionInfo oi)` Implements qconf -dprj option
    `void` | `deleteResourceQuotaSet(OptionInfo oi)` Implements qconf -drqs option
    `void` | `deleteUser(OptionInfo oi)` Implements qconf -duser option
    `void` | `modifyCalendar(OptionInfo oi)` Implements qconf -mcal option
    `void` | `modifyCheckpoint(OptionInfo oi)` Implements qconf -mckpt option
    `void` | `modifyClusterQueue(OptionInfo oi)` Implements qconf -mq option
    `void` | `modifyConfiguration(OptionInfo oi)` Implements qconf -mconf option
    `void` | `modifyExecHost(OptionInfo oi)` Implements qconf -me option
    `void` | `modifyFromFileCalendar(OptionInfo oi)` Implements qconf -Mcal option
    `void` | `modifyFromFileCheckpoint(OptionInfo oi)` Implements qconf -Mckpt option
    `void` | `modifyFromFileClusterQueue(OptionInfo oi)` Implements qconf -Mq option
    `void` | `modifyFromFileConfiguration(OptionInfo oi)` Implements qconf -Mconf option
    `void` | `modifyFromFileExecHost(OptionInfo oi)` Implements qconf -Me option
    `void` | `modifyFromFileHostgroup(OptionInfo oi)` Implements qconf -Mhgrp option
    `void` | `modifyFromFileParallelEnvironment(OptionInfo oi)` Implements qconf -Mp option
    `void` | `modifyFromFileProject(OptionInfo oi)` Implements qconf -Mprj option
    `void` | `modifyFromFileResourceQuotaSet(OptionInfo oi)` Implements qconf -Mrqs option
    `void` | `modifyFromFileSchedConf(OptionInfo oi)` Implements qconf -Msconf option
    `void` | `modifyFromFileUser(OptionInfo oi)` Implements qconf -Muser option
    `void` | `modifyFromFileUserSet(OptionInfo oi)` Implements qconf -Mu option
    `void` | `modifyHostgroup(OptionInfo oi)` Implements qconf -mhgrp option
    `void` | `modifyParallelEnvironment(OptionInfo oi)` Implements qconf -mp option
    `void` | `modifyProject(OptionInfo oi)` Implements qconf -mprj option
    `void` | `modifySchedConf(OptionInfo oi)` Implements qconf -msconf option
    `void` | `modifyUser(OptionInfo oi)` Implements qconf -muser option
    `void` | `modifyUserSet(OptionInfo oi)` Implements qconf -mu option
    `void` | `showCalendar(OptionInfo oi)` Implements qconf -scal option
    `void` | `showCheckpoint(OptionInfo oi)` Implements qconf -sckpt option
    `void` | `showClusterQueue(OptionInfo oi)` Implements qconf -sq option
    `void` | `showConfiguration(OptionInfo oi)` Implements qconf -sconf option
    `void` | `showExecHost(OptionInfo oi)` Implements qconf -se option
    `void` | `showHostgroup(OptionInfo oi)` Implements qconf -shgrp option
    `void` | `showListAdminHost(OptionInfo oi)` Implements qconf -sh option
    `void` | `showListCalendar(OptionInfo oi)` Implements qconf -scall option
    `void` | `showListCheckpoint(OptionInfo oi)` Implements qconf -sckptl option
    `void` | `showListClusterQueue(OptionInfo oi)` Implements qconf -sql option
    `void` | `showListConfiguration(OptionInfo oi)` Implements qconf -sconfl option
    `void` | `showListExecHost(OptionInfo oi)` Implements qconf -sel option
    `void` | `showListHostgroup(OptionInfo oi)` Implements qconf -shgrpl option
    `void` | `showListManager(OptionInfo oi)` Implements qconf -sm option
    `void` | `showListOperator(OptionInfo oi)` Implements qconf -so option
    `void` | `showListParallelEnvironment(OptionInfo oi)` Implements qconf -spl option
    `void` | `showListProject(OptionInfo oi)` Implements qconf -sprjl option
    `void` | `showListResourceQuotaSet(OptionInfo oi)` Implements qconf -srqsl option
    `void` | `showListSubmitHost(OptionInfo oi)` Implements qconf -ss option
    `void` | `showListUser(OptionInfo oi)` Implements qconf -suserl option
    `void` | `showListUserSet(OptionInfo oi)` Implements qconf -sul option
    `void` | `showParallelEnvironment(OptionInfo oi)` Implements qconf -sp option
    `void` | `showProject(OptionInfo oi)` Implements qconf -sprj option
    `void` | `showSchedConf(OptionInfo oi)` Implements qconf -ssconf option
    `void` | `showUser(OptionInfo oi)` Implements qconf -suser option
    `void` | `showUserSet(OptionInfo oi)` Implements qconf -su option

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AnnotatedCommand

      `getCustomExitCode, getDefaultErrorMessage, getExtraArguments, getOptionDescriptorMap, getOptionInfo, getOriginalExtraArguments, hasExtraArguments, initOptionDescriptorMap, invokeOptions, listOptions, parseAndInvokeOptions, parseOptions, tokenizeArgs`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, run, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QConfCommandGenerated

          public QConfCommandGenerated()

  - ### Method Detail

    - #### addProject

          public void addProject(OptionInfo oi)
                          throws JGDIException

      Implements qconf -aprj option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileProject

          public void addFromFileProject(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -Aprj option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyProject

          public void modifyProject(OptionInfo oi)
                             throws JGDIException

      Implements qconf -mprj option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileProject

          public void modifyFromFileProject(OptionInfo oi)
                                     throws JGDIException

      Implements qconf -Mprj option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showProject

          public void showProject(OptionInfo oi)
                           throws JGDIException

      Implements qconf -sprj option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListProject

          public void showListProject(OptionInfo oi)
                               throws JGDIException

      Implements qconf -sprjl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteProject

          public void deleteProject(OptionInfo oi)
                             throws JGDIException

      Implements qconf -dprj option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addCheckpoint

          public void addCheckpoint(OptionInfo oi)
                             throws JGDIException

      Implements qconf -ackpt option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileCheckpoint

          public void addFromFileCheckpoint(OptionInfo oi)
                                     throws JGDIException

      Implements qconf -Ackpt option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyCheckpoint

          public void modifyCheckpoint(OptionInfo oi)
                                throws JGDIException

      Implements qconf -mckpt option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileCheckpoint

          public void modifyFromFileCheckpoint(OptionInfo oi)
                                        throws JGDIException

      Implements qconf -Mckpt option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showCheckpoint

          public void showCheckpoint(OptionInfo oi)
                              throws JGDIException

      Implements qconf -sckpt option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListCheckpoint

          public void showListCheckpoint(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -sckptl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCheckpoint

          public void deleteCheckpoint(OptionInfo oi)
                                throws JGDIException

      Implements qconf -dckpt option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addParallelEnvironment

          public void addParallelEnvironment(OptionInfo oi)
                                      throws JGDIException

      Implements qconf -ap option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileParallelEnvironment

          public void addFromFileParallelEnvironment(OptionInfo oi)
                                              throws JGDIException

      Implements qconf -Ap option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyParallelEnvironment

          public void modifyParallelEnvironment(OptionInfo oi)
                                         throws JGDIException

      Implements qconf -mp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileParallelEnvironment

          public void modifyFromFileParallelEnvironment(OptionInfo oi)
                                                 throws JGDIException

      Implements qconf -Mp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showParallelEnvironment

          public void showParallelEnvironment(OptionInfo oi)
                                       throws JGDIException

      Implements qconf -sp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListParallelEnvironment

          public void showListParallelEnvironment(OptionInfo oi)
                                           throws JGDIException

      Implements qconf -spl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteParallelEnvironment

          public void deleteParallelEnvironment(OptionInfo oi)
                                         throws JGDIException

      Implements qconf -dp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addUser

          public void addUser(OptionInfo oi)
                       throws JGDIException

      Implements qconf -auser option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileUser

          public void addFromFileUser(OptionInfo oi)
                               throws JGDIException

      Implements qconf -Auser option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyUser

          public void modifyUser(OptionInfo oi)
                          throws JGDIException

      Implements qconf -muser option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileUser

          public void modifyFromFileUser(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -Muser option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showUser

          public void showUser(OptionInfo oi)
                        throws JGDIException

      Implements qconf -suser option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListUser

          public void showListUser(OptionInfo oi)
                            throws JGDIException

      Implements qconf -suserl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUser

          public void deleteUser(OptionInfo oi)
                          throws JGDIException

      Implements qconf -duser option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addConfiguration

          public void addConfiguration(OptionInfo oi)
                                throws JGDIException

      Implements qconf -aconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileConfiguration

          public void addFromFileConfiguration(OptionInfo oi)
                                        throws JGDIException

      Implements qconf -Aconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyConfiguration

          public void modifyConfiguration(OptionInfo oi)
                                   throws JGDIException

      Implements qconf -mconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileConfiguration

          public void modifyFromFileConfiguration(OptionInfo oi)
                                           throws JGDIException

      Implements qconf -Mconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showConfiguration

          public void showConfiguration(OptionInfo oi)
                                 throws JGDIException

      Implements qconf -sconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListConfiguration

          public void showListConfiguration(OptionInfo oi)
                                     throws JGDIException

      Implements qconf -sconfl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteConfiguration

          public void deleteConfiguration(OptionInfo oi)
                                   throws JGDIException

      Implements qconf -dconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addHostgroup

          public void addHostgroup(OptionInfo oi)
                            throws JGDIException

      Implements qconf -ahgrp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileHostgroup

          public void addFromFileHostgroup(OptionInfo oi)
                                    throws JGDIException

      Implements qconf -Ahgrp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyHostgroup

          public void modifyHostgroup(OptionInfo oi)
                               throws JGDIException

      Implements qconf -mhgrp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileHostgroup

          public void modifyFromFileHostgroup(OptionInfo oi)
                                       throws JGDIException

      Implements qconf -Mhgrp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showHostgroup

          public void showHostgroup(OptionInfo oi)
                             throws JGDIException

      Implements qconf -shgrp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListHostgroup

          public void showListHostgroup(OptionInfo oi)
                                 throws JGDIException

      Implements qconf -shgrpl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteHostgroup

          public void deleteHostgroup(OptionInfo oi)
                               throws JGDIException

      Implements qconf -dhgrp option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addCalendar

          public void addCalendar(OptionInfo oi)
                           throws JGDIException

      Implements qconf -acal option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileCalendar

          public void addFromFileCalendar(OptionInfo oi)
                                   throws JGDIException

      Implements qconf -Acal option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyCalendar

          public void modifyCalendar(OptionInfo oi)
                              throws JGDIException

      Implements qconf -mcal option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileCalendar

          public void modifyFromFileCalendar(OptionInfo oi)
                                      throws JGDIException

      Implements qconf -Mcal option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showCalendar

          public void showCalendar(OptionInfo oi)
                            throws JGDIException

      Implements qconf -scal option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListCalendar

          public void showListCalendar(OptionInfo oi)
                                throws JGDIException

      Implements qconf -scall option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCalendar

          public void deleteCalendar(OptionInfo oi)
                              throws JGDIException

      Implements qconf -dcal option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addClusterQueue

          public void addClusterQueue(OptionInfo oi)
                               throws JGDIException

      Implements qconf -aq option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileClusterQueue

          public void addFromFileClusterQueue(OptionInfo oi)
                                       throws JGDIException

      Implements qconf -Aq option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyClusterQueue

          public void modifyClusterQueue(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -mq option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileClusterQueue

          public void modifyFromFileClusterQueue(OptionInfo oi)
                                          throws JGDIException

      Implements qconf -Mq option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showClusterQueue

          public void showClusterQueue(OptionInfo oi)
                                throws JGDIException

      Implements qconf -sq option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListClusterQueue

          public void showListClusterQueue(OptionInfo oi)
                                    throws JGDIException

      Implements qconf -sql option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteClusterQueue

          public void deleteClusterQueue(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -dq option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileExecHost

          public void addFromFileExecHost(OptionInfo oi)
                                   throws JGDIException

      Implements qconf -Ae option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyExecHost

          public void modifyExecHost(OptionInfo oi)
                              throws JGDIException

      Implements qconf -me option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileExecHost

          public void modifyFromFileExecHost(OptionInfo oi)
                                      throws JGDIException

      Implements qconf -Me option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showExecHost

          public void showExecHost(OptionInfo oi)
                            throws JGDIException

      Implements qconf -se option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListExecHost

          public void showListExecHost(OptionInfo oi)
                                throws JGDIException

      Implements qconf -sel option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteExecHost

          public void deleteExecHost(OptionInfo oi)
                              throws JGDIException

      Implements qconf -de option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifySchedConf

          public void modifySchedConf(OptionInfo oi)
                               throws JGDIException

      Implements qconf -msconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileSchedConf

          public void modifyFromFileSchedConf(OptionInfo oi)
                                       throws JGDIException

      Implements qconf -Msconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showSchedConf

          public void showSchedConf(OptionInfo oi)
                             throws JGDIException

      Implements qconf -ssconf option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileUserSet

          public void addFromFileUserSet(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -Au option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyUserSet

          public void modifyUserSet(OptionInfo oi)
                             throws JGDIException

      Implements qconf -mu option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileUserSet

          public void modifyFromFileUserSet(OptionInfo oi)
                                     throws JGDIException

      Implements qconf -Mu option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showUserSet

          public void showUserSet(OptionInfo oi)
                           throws JGDIException

      Implements qconf -su option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListUserSet

          public void showListUserSet(OptionInfo oi)
                               throws JGDIException

      Implements qconf -sul option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListOperator

          public void showListOperator(OptionInfo oi)
                                throws JGDIException

      Implements qconf -so option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListManager

          public void showListManager(OptionInfo oi)
                               throws JGDIException

      Implements qconf -sm option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListSubmitHost

          public void showListSubmitHost(OptionInfo oi)
                                  throws JGDIException

      Implements qconf -ss option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListAdminHost

          public void showListAdminHost(OptionInfo oi)
                                 throws JGDIException

      Implements qconf -sh option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addResourceQuotaSet

          public void addResourceQuotaSet(OptionInfo oi)
                                   throws JGDIException

      Implements qconf -arqs option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addFromFileResourceQuotaSet

          public void addFromFileResourceQuotaSet(OptionInfo oi)
                                           throws JGDIException

      Implements qconf -Arqs option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### modifyFromFileResourceQuotaSet

          public void modifyFromFileResourceQuotaSet(OptionInfo oi)
                                              throws JGDIException

      Implements qconf -Mrqs option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showListResourceQuotaSet

          public void showListResourceQuotaSet(OptionInfo oi)
                                        throws JGDIException

      Implements qconf -srqsl option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteResourceQuotaSet

          public void deleteResourceQuotaSet(OptionInfo oi)
                                      throws JGDIException

      Implements qconf -drqs option
      Parameters:
        `oi` - OptionInfo option enviroment object
      Throws:
        `JGDIException` - on any error on the GDI layer

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.